<?php
include_once '../sys/fnc.php';
if (!isset($user)) {
header('location: /');
exit;
}
$title = 'Профайл';
include_once '../sys/head.php';
echo '<div class="menu_link">Изменение профиля </div>
<div class="post0">';
if(isset($_POST['name']))
{
$name=html($_POST['name']);
$fam=html($_POST['fam']);
$otch=html($_POST['otch']);
$pass_n=abs(intval($_POST['pass_n']));
$pass_k=html($_POST['pass_k']);
$pass_d=html($_POST['pass_d']);
$dr=html($_POST['dr']);
$country=html($_POST['country']);
$obl=html($_POST['obl']);
$ind=abs(intval($_POST['ind']));
$city=html($_POST['city']);
$adr=html($_POST['adr']);
$kom=html($_POST['kom']);
$tel=html($_POST['tel']);
$tel_f=html($_POST['tel_f']);
$email=html($_POST['email']);
$icq=html($_POST['icq']);


mysql_query("UPDATE `user` SET
`name` = '$name',
`fam` = '$fam',
`otch` = '$otch',
`pass_n` = '$pass_n',
`pass_k` = '$pass_k',
`pass_d` = '$pass_d',
`dr` = '$dr',
`country` = '$country',
`obl` = '$obl',
`ind` = '$ind',
`city` = '$city',
`adr` = '$adr',
`kom` = '$kom',
`tel` = '$tel',
`tel_f` = '$tel_f',
`email` = '$email',
`icq` = '$icq'
WHERE `id` = '$user->id' LIMIT 1");
header("Location: /cabinet/");
}
else
{
echo 'Паспортные данные';
echo $div->div_menu;
echo "<form method='POST'>";
echo "Имя:<br><input type='text' name='name' pattern='[А-Яа-я]{2,64}' required value='".html($user->name)."'><br>";
echo "Фамилия:<br><input type='text' name='fam' pattern='[А-Яа-я]{2,64}' required value='".html($user->fam)."'><br>";
echo "Отчество:<br><input type='text' name='otch' pattern='[А-Яа-я]{2,64}' required value='".html($user->otch)."'><br>";
echo "Номер паспорта (1234567890):<br><input type='text' name='pass_n' pattern='[0-9]{10}' required value='".html($user->pass_n)."'><br>";
echo "Кем выдан:<br><input type='text' name='pass_k' required value='".html($user->pass_k)."'><br>";
echo "Дата выдачи (01.01.2000):<br><input type='text' name='pass_d' pattern='(0[1-9]|1[0-9]|2[0-9]|3[01]).(0[1-9]|1[012]).[0-9]{4}' required value='".html($user->pass_d)."'><br>";
echo "Дата рождения (01.01.2000):<br><input type='text' name='dr' pattern='(0[1-9]|1[0-9]|2[0-9]|3[01]).(0[1-9]|1[012]).[0-9]{4}' required value='".html($user->dr)."'><br>";

echo '</div>';

echo 'Почтовый адрес';
echo $div->div_menu;
echo "Страна:<br><input type='text' name='country' value='".html($user->country)."'><br>";
echo "Область:<br><input type='text' name='obl' value='".html($user->obl)."'><br>";
echo "Индекс:<br><input type='text' name='ind' value='".html($user->ind)."'><br>";
echo "Город:<br><input type='text' name='city' value='".html($user->city)."'><br>";
echo "Адрес:<br><input type='text' name='adr' value='".html($user->adr)."'><br>";
echo "Кому:<br><input type='text' name='kom' value='".html($user->kom)."'><br>";
echo "Телефон (+79001234567):<br><input type='text' name='tel' value='".html($user->tel)."'><br>";
echo "Телефон-факс (+79001234567):<br><input type='text' name='tel_f' value='".html($user->tel_f)."'><br>";
echo "Email:<br><input type='email' name='email' value='".html($user->email)."'><br>";
echo "ICQ (123456):<br><input type='text' name='icq' pattern='[0-9]{6,10}' value='".html($user->icq)."'><br>";
echo "<input type='submit' value='Сохранить'></form></div>";
echo '</div></p></div></div></div>';
}
include_once '../sys/foot.php';
?>